List Categories
curl --request GET \
--url https://qwoty.app/api/categories \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/categories"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"workspace_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Electronics",
"api_name": "electronics",
"description": "Electronic products and accessories",
"is_active": true,
"parent_category_id": null,
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T10:00:00Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"workspace_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Smartphones",
"api_name": "smartphones",
"description": "Mobile phones and accessories",
"is_active": true,
"parent_category_id": "550e8400-e29b-41d4-a716-446655440001",
"created_at": "2026-01-16T14:30:00Z",
"updated_at": "2026-01-16T14:30:00Z"
}
]
}
Categories
List Categories
Retrieve all product categories in your workspace
GET
/
api
/
categories
List Categories
Authorization
string
required
Bearer token for authentication. Format:
Bearer qwoty_your_tokenExamples
curl https://qwoty.app/api/categories \
-H "Authorization: Bearer qwoty_your_token"
const response = await fetch('https://qwoty.app/api/categories', {
headers: {
Authorization: 'Bearer qwoty_your_token',
},
})
const data = await response.json()
import requests
response = requests.get(
'https://qwoty.app/api/categories',
headers={
'Authorization': 'Bearer qwoty_your_token'
}
)
data = response.json()
Response
boolean
Indicates whether the request was successful
array
Array of category objects
Show Category Object
Show Category Object
string
Unique identifier (UUID)
string
Workspace ID (UUID)
string
Category name
string
API identifier (unique, immutable)
string
Category description
boolean
Active status
string | null
ID of parent category for hierarchical organization (UUID)
string
Creation timestamp (ISO 8601)
string
Last update timestamp (ISO 8601)
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"workspace_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Electronics",
"api_name": "electronics",
"description": "Electronic products and accessories",
"is_active": true,
"parent_category_id": null,
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T10:00:00Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"workspace_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Smartphones",
"api_name": "smartphones",
"description": "Mobile phones and accessories",
"is_active": true,
"parent_category_id": "550e8400-e29b-41d4-a716-446655440001",
"created_at": "2026-01-16T14:30:00Z",
"updated_at": "2026-01-16T14:30:00Z"
}
]
}
Was this page helpful?
⌘I

